[youtubei.js](../../../README.md) / [Generator](../README.md) / parse

# Function: parse()

> **parse**(`key`, `inference_type`, `data`, `key_path`): `any`

Parse a value from a given key path using the given inference type

## Parameters

• **key**: `string`

The key to parse

• **inference\_type**: [`InferenceType`](../type-aliases/InferenceType.md)

The inference type to parse

• **data**: `unknown`

The data to parse from

• **key\_path**: `string`[] = `...`

The path to the key (excluding the key itself)

## Returns

`any`

The parsed value

## Defined in

[src/parser/generator.ts:681](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/generator.ts#L681)
